module rad_ckd_utils

  use dc_types
  use gtool_history                                 ! モジュール指定

  implicit none

  private

  public :: GetDimLen


contains

  !----------------------------------------------------------------------------

  function GetDimLen( NcFName, DimName ) result( DimLen )

    character(*), intent(in) :: NcFName
    character(*), intent(in) :: DimName

    integer :: DimLen

    ! Local
    !
    real(8), pointer :: a_Axis(:)


    call HistoryGetPointer( NcFName, DimName, a_Axis, quiet = .true. )
    DimLen = size( a_Axis )
    Nullify( a_Axis )


  end function GetDimLen

  !----------------------------------------------------------------------------

end module rad_ckd_utils
